Skip to main content
POST
Submit command for vehicle charging schedule
Charging Schedules are only supported for BMW, MINI and Tesla vehicles.

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Path Parameters

vehicleId
string<uuid>
required

Vehicle ID

Body

application/json

New schedule be to set. UTC expected.

schedules
object[]
required

The list of schedule events.

Response

Successful operation

createdAt
string<date-time>
required

The timestamp when command is created.

id
string<uuid>
required

The ID of the command.

state
enum<string>
required

The state of the command.

  • PENDING - Command is waiting to be executed.
  • FAILED - Execution of command has failed.
  • EXECUTED - Command has been executed successfully.
Available options:
PENDING,
EXECUTED,
FAILED
type
enum<string>
required

The name of the command type to execute.

Available options:
CHARGING_START,
CHARGING_STOP,
SET_CHARGING_CURRENT,
SET_CHARGING_SCHEDULE
userId
string
required

The ID of the user.

Example:

"896f9d5a-b618-48a2-98ae-957059bf1bc9"

deviceId
string<uuid>
required

The ID of the vehicle.